version: 3

vars:
  RED: '\033[0;31m'
  GREEN: '\033[0;32m'
  COLOROFF: '\033[0m'
  PREFIX: "⏳"

silent: true

tasks:
  clean:
    desc: Cleans the environment.
    internal: true
    cmds:
      - flutter clean

  get:
    desc: Getting latest dependencies.
    internal: true
    cmds:
      - flutter pub get

  android:
    desc: Building Android APK
    deps: [clean, get]
    aliases: [a]
    cmds:
      - echo -e "{{.GREEN}}{{.PREFIX}} Building Android APK...{{.COLOROFF}}"
      - flutter build lib/main_production apk --no-pub --no-shrink
  
  ios:
    desc: Building iOS IPA
    deps: [clean, get]
    aliases: [i]
    cmds:
      - echo -e "{{.GREEN}}{{.PREFIX}} Building iOS IPA...{{.COLOROFF}}"
      - flutter build lib/main_production ipa --no-pub